﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.System.Profile;
using Windows.UI;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace CustomerSample
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class BlankPage1 : Page
    {
        public BlankPage1()
        {
            this.InitializeComponent();

            if (AnalyticsInfo.VersionInfo.DeviceFamily == "Windows.Mobile")
            {
                chart.Background = new SolidColorBrush(Colors.White);
                chart.Behaviors.Add(new ChartZoomPanBehavior() { EnablePinchZooming = true, EnablePanning = true, ZoomMode = Syncfusion.UI.Xaml.Charts.ZoomMode.X});
            }

            
        }

        private void CategoryAxis_ActualRangeChanged(object sender, ActualRangeChangedEventArgs e)
        {
            if (!e.IsScrolling &&( (sender as CategoryAxis).VisibleLabels.Count==0))
            {
                e.VisibleMinimum = Convert.ToDouble(e.ActualMinimum) + 6;
                e.VisibleMaximum = Convert.ToDouble(e.ActualMaximum) - 6;
            }
        }
    }

    public class model
    {
        public double No_Of_Items { get; set; }

        public string Brand { get; set; }

    }
    public class viewmodel
    {
        public viewmodel()
        {
            SneakersDetail = new ObservableCollection<model>();

            SneakersDetail.Add(new model() { Brand = "Value1", No_Of_Items = 5 });
            SneakersDetail.Add(new model() { Brand = "Value2", No_Of_Items = 6 });
            SneakersDetail.Add(new model() { Brand = "Value3", No_Of_Items = 12 });
            SneakersDetail.Add(new model() { Brand = "Value4", No_Of_Items = 18 });
            SneakersDetail.Add(new model() { Brand = "Value5", No_Of_Items = 20 });
            SneakersDetail.Add(new model() { Brand = "Value6", No_Of_Items = 27 });
            SneakersDetail.Add(new model() { Brand = "Value7", No_Of_Items = 30 });
            SneakersDetail.Add(new model() { Brand = "Value8", No_Of_Items = 38 });
            SneakersDetail.Add(new model() { Brand = "Value9", No_Of_Items = 40 });
            SneakersDetail.Add(new model() { Brand = "Value10", No_Of_Items = 47 });
            SneakersDetail.Add(new model() { Brand = "Value11", No_Of_Items = 50 });
            SneakersDetail.Add(new model() { Brand = "Value12", No_Of_Items = 58 });
            SneakersDetail.Add(new model() { Brand = "Value13", No_Of_Items = 60 });
            SneakersDetail.Add(new model() { Brand = "Value14", No_Of_Items = 77 });
            SneakersDetail.Add(new model() { Brand = "Value15", No_Of_Items = 80 });
            SneakersDetail.Add(new model() { Brand = "Value16", No_Of_Items = 98 });
            SneakersDetail.Add(new model() { Brand = "Value17", No_Of_Items = 100 });

        }

        public ObservableCollection<model> SneakersDetail { get; set; }      
    }
}
